﻿@inject ITextTheme TextTheme
@inject IBackgroundTheme BackgroundTheme

@inherits AppBase

<Blazorise.ThemeProvider Theme="@BlazoriseTheme">
    <Router AppAssembly="@typeof(Program).Assembly">
        <Found Context="routeData">
            <RouteView RouteData="@routeData" DefaultLayout="@typeof(MainLayout)" />
        </Found>
        <NotFound>
            <LayoutView Layout="@typeof(MainLayout)">
                <p>Sorry, there's nothing at this address.</p>
            </LayoutView>
        </NotFound>
    </Router>
</Blazorise.ThemeProvider>